Skip to content
Permalink
Browse files

merge with upstream.\

  • Loading branch information...
kieran-bamforth committed Jun 3, 2015
2 parents cb695c1 + 090314c commit 8f039a6b6014b0a9b50e9ebcbe93af07603ac613
Showing with 97 additions and 78 deletions.
  1. +1 −1 Gemfile
  2. +25 −26 Gemfile.lock
  3. +11 −11 Puppetfile
  4. +22 −21 Puppetfile.lock
  5. +1 −1 docs/rails.md
  6. +1 −1 manifests/site.pp
  7. +3 −1 script/bootstrap
  8. +3 −1 script/boxen-git-credential
  9. +30 −15 script/sync
  10. BIN vendor/cache/addressable-2.3.6.gem
  11. BIN vendor/cache/addressable-2.3.8.gem
  12. BIN vendor/cache/ansi-1.4.3.gem
  13. BIN vendor/cache/ansi-1.5.0.gem
  14. BIN vendor/cache/aws-sdk-core-2.0.11.gem
  15. BIN vendor/cache/boxen-2.7.0.gem
  16. BIN vendor/cache/boxen-2.7.2.gem
  17. BIN vendor/cache/facter-2.3.0-universal-darwin.gem
  18. BIN vendor/cache/facter-2.4.4-universal-darwin.gem
  19. BIN vendor/cache/faraday-0.9.0.gem
  20. BIN vendor/cache/faraday-0.9.1.gem
  21. BIN vendor/cache/jmespath-1.0.1.gem
  22. BIN vendor/cache/json-1.8.1.gem
  23. BIN vendor/cache/json-1.8.2.gem
  24. BIN vendor/cache/json_pure-1.8.1.gem
  25. BIN vendor/cache/json_pure-1.8.2.gem
  26. BIN vendor/cache/multi_json-1.10.1.gem
  27. BIN vendor/cache/multi_xml-0.5.5.gem
  28. BIN vendor/cache/net-ssh-2.9.1.gem
  29. BIN vendor/cache/rspec-3.1.0.gem
  30. BIN vendor/cache/rspec-3.2.0.gem
  31. BIN vendor/cache/rspec-core-3.1.7.gem
  32. BIN vendor/cache/rspec-core-3.2.3.gem
  33. BIN vendor/cache/rspec-expectations-3.1.2.gem
  34. BIN vendor/cache/rspec-expectations-3.2.1.gem
  35. BIN vendor/cache/rspec-mocks-3.1.3.gem
  36. BIN vendor/cache/rspec-mocks-3.2.1.gem
  37. BIN vendor/cache/rspec-support-3.1.2.gem
  38. BIN vendor/cache/rspec-support-3.2.2.gem
  39. BIN vendor/puppet/cache/boxen-puppet-boxen-3.10.1.tar.gz
  40. BIN vendor/puppet/cache/boxen-puppet-boxen-3.10.4.tar.gz
  41. BIN vendor/puppet/cache/boxen-puppet-brewcask-0.0.4.tar.gz
  42. BIN vendor/puppet/cache/boxen-puppet-brewcask-0.0.6.tar.gz
  43. BIN vendor/puppet/cache/boxen-puppet-gcc-2.2.0.tar.gz
  44. BIN vendor/puppet/cache/boxen-puppet-gcc-2.2.1.tar.gz
  45. BIN vendor/puppet/cache/boxen-puppet-git-2.7.1.tar.gz
  46. BIN vendor/puppet/cache/boxen-puppet-git-2.7.9.tar.gz
  47. BIN vendor/puppet/cache/boxen-puppet-homebrew-1.11.2.tar.gz
  48. BIN vendor/puppet/cache/boxen-puppet-homebrew-1.12.0.tar.gz
  49. BIN vendor/puppet/cache/boxen-puppet-hub-1.4.0.tar.gz
  50. BIN vendor/puppet/cache/boxen-puppet-hub-1.4.1.tar.gz
  51. BIN vendor/puppet/cache/boxen-puppet-nginx-1.4.4.tar.gz
  52. BIN vendor/puppet/cache/boxen-puppet-nginx-1.4.5.tar.gz
  53. BIN vendor/puppet/cache/boxen-puppet-nodejs-4.0.0.tar.gz
  54. BIN vendor/puppet/cache/boxen-puppet-nodejs-4.0.1.tar.gz
  55. BIN vendor/puppet/cache/boxen-puppet-phantomjs-2.3.0.tar.gz
  56. BIN vendor/puppet/cache/boxen-puppet-phantomjs-2.4.0.tar.gz
  57. BIN vendor/puppet/cache/boxen-puppet-repository-2.3.0.tar.gz
  58. BIN vendor/puppet/cache/boxen-puppet-repository-2.4.1.tar.gz
  59. BIN vendor/puppet/cache/boxen-puppet-ruby-8.1.7.tar.gz
  60. BIN vendor/puppet/cache/boxen-puppet-ruby-8.5.2.tar.gz
@@ -1,6 +1,6 @@
source "https://rubygems.org"

gem "boxen", "~> 2.7.0"
gem "boxen", "~> 2.7.2"
gem "hiera", "~> 1.3.3"
gem "librarian-puppet", "~> 1.0.9"
gem "puppet", "3.7.1"
@@ -2,35 +2,34 @@ GEM
remote: https://rubygems.org/
specs:
CFPropertyList (2.2.8)
addressable (2.3.6)
ansi (1.4.3)
aws-sdk-core (2.0.11)
addressable (2.3.8)
ansi (1.5.0)
aws-sdk-core (2.0.46)
builder (~> 3.0)
jmespath (~> 1.0)
multi_json (~> 1.0)
multi_xml (~> 0.5)
boxen (2.7.0)
boxen (2.7.2)
ansi (~> 1.4)
hiera (~> 1.0)
highline (~> 1.6)
highline (~> 1.6.0)
json_pure (>= 1.7.7, < 2.0)
librarian-puppet (~> 1.0.0)
octokit (~> 2.7, >= 2.7.1)
puppet (~> 3.7)
builder (3.2.2)
deep_merge (1.0.1)
diff-lcs (1.2.5)
facter (2.3.0)
facter (2.4.4)
CFPropertyList (~> 2.2.6)
faraday (0.9.0)
faraday (0.9.1)
multipart-post (>= 1.2, < 3)
hiera (1.3.4)
json_pure
highline (1.6.21)
jmespath (1.0.1)
jmespath (1.0.2)
multi_json (~> 1.0)
json (1.8.1)
json_pure (1.8.1)
json (1.8.2)
json_pure (1.8.2)
librarian (0.1.2)
highline
thor (~> 0.15)
@@ -40,10 +39,9 @@ GEM
metaclass (0.0.4)
mocha (1.1.0)
metaclass (~> 0.0.1)
multi_json (1.10.1)
multi_xml (0.5.5)
multi_json (1.11.0)
multipart-post (2.0.0)
net-ssh (2.9.1)
net-ssh (2.9.2)
octokit (2.7.2)
sawyer (~> 0.5.2)
open4 (1.3.4)
@@ -58,20 +56,21 @@ GEM
rspec (>= 2.9.0)
rspec-puppet (>= 0.1.1)
rake (10.3.2)
rspec (3.1.0)
rspec-core (~> 3.1.0)
rspec-expectations (~> 3.1.0)
rspec-mocks (~> 3.1.0)
rspec-core (3.1.7)
rspec-support (~> 3.1.0)
rspec-expectations (3.1.2)
rspec (3.2.0)
rspec-core (~> 3.2.0)
rspec-expectations (~> 3.2.0)
rspec-mocks (~> 3.2.0)
rspec-core (3.2.3)
rspec-support (~> 3.2.0)
rspec-expectations (3.2.1)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.1.0)
rspec-mocks (3.1.3)
rspec-support (~> 3.1.0)
rspec-support (~> 3.2.0)
rspec-mocks (3.2.1)
diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.2.0)
rspec-puppet (1.0.1)
rspec
rspec-support (3.1.2)
rspec-support (3.2.2)
sawyer (0.5.5)
addressable (~> 2.3.5)
faraday (~> 0.8, < 0.10)
@@ -82,7 +81,7 @@ PLATFORMS

DEPENDENCIES
aws-sdk-core (~> 2.0.11)
boxen (~> 2.7.0)
boxen (~> 2.7.2)
deep_merge (~> 1.0)
hiera (~> 1.3.3)
librarian-puppet (~> 1.0.9)
@@ -29,7 +29,7 @@ end
# Includes many of our custom types and providers, as well as global
# config. Required.

github "boxen", "3.10.1"
github "boxen", "3.10.4"

# Support for default hiera data in modules

@@ -38,22 +38,22 @@ github "module_data", "0.0.3", :repo => "ripienaar/puppet-module-data"
# Core modules for a basic development environment. You can replace
# some/most of these if you want, but it's not recommended.

github "brewcask", "0.0.4"
github "brewcask", "0.0.6"
github "dnsmasq", "2.0.1"
github "foreman", "1.2.0"
github "gcc", "2.2.0"
github "git", "2.7.1"
github "gcc", "2.2.1"
github "git", "2.7.9"
github "go", "2.1.0"
github "homebrew", "1.11.2"
github "hub", "1.4.0"
github "homebrew", "1.12.0"
github "hub", "1.4.1"
github "inifile", "1.1.1", :repo => "puppetlabs/puppetlabs-inifile"
github "nginx", "1.4.4"
github "nodejs", "4.0.0"
github "nginx", "1.4.5"
github "nodejs", "4.0.1"
github "openssl", "1.0.0"
github "phantomjs", "2.3.0"
github "phantomjs", "2.4.0"
github "pkgconfig", "1.0.0"
github "repository", "2.3.0"
github "ruby", "8.1.7"
github "repository", "2.4.1"
github "ruby", "8.5.2"
github "stdlib", "4.2.1", :repo => "puppetlabs/puppetlabs-stdlib"
github "sudo", "1.0.0"
github "xquartz", "1.2.1"
@@ -11,12 +11,12 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-boxen
specs:
boxen (3.10.1)
boxen (3.10.4)

GITHUBTARBALL
remote: boxen/puppet-brewcask
specs:
brewcask (0.0.4)
brewcask (0.0.6)

GITHUBTARBALL
remote: boxen/puppet-chrome
@@ -56,12 +56,12 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-gcc
specs:
gcc (2.2.0)
gcc (2.2.1)

GITHUBTARBALL
remote: boxen/puppet-git
specs:
git (2.7.1)
git (2.7.9)

GITHUBTARBALL
remote: boxen/puppet-gitx
@@ -81,12 +81,12 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-homebrew
specs:
homebrew (1.11.2)
homebrew (1.12.0)

GITHUBTARBALL
remote: boxen/puppet-hub
specs:
hub (1.4.0)
hub (1.4.1)

GITHUBTARBALL
remote: boxen/puppet-induction
@@ -121,12 +121,12 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-nginx
specs:
nginx (1.4.4)
nginx (1.4.5)

GITHUBTARBALL
remote: boxen/puppet-nodejs
specs:
nodejs (4.0.0)
nodejs (4.0.1)

GITHUBTARBALL
remote: boxen/puppet-onepassword
@@ -151,7 +151,7 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-phantomjs
specs:
phantomjs (2.3.0)
phantomjs (2.4.0)

GITHUBTARBALL
remote: boxen/puppet-phpstorm
@@ -166,12 +166,12 @@ GITHUBTARBALL
GITHUBTARBALL
remote: boxen/puppet-repository
specs:
repository (2.3.0)
repository (2.4.1)

GITHUBTARBALL
remote: boxen/puppet-ruby
specs:
ruby (8.1.7)
ruby (8.5.2)

GITHUBTARBALL
remote: boxen/puppet-sequel_pro
@@ -281,8 +281,8 @@ GITHUBTARBALL
DEPENDENCIES
alfred (= 1.1.8)
autoconf (= 1.0.0)
boxen (= 3.10.1)
brewcask (= 0.0.4)
boxen (= 3.10.4)
brewcask (= 0.0.6)
chrome (= 1.1.2)
dash (= 1.0.0)
dnsmasq (= 2.0.1)
@@ -291,13 +291,13 @@ DEPENDENCIES
firefox (= 1.2.1)
flux (= 1.0.1)
foreman (= 1.2.0)
gcc (= 2.2.0)
git (= 2.7.1)
gcc (= 2.2.1)
git (= 2.7.9)
gitx (= 1.2.0)
go (= 2.1.0)
harvest (= 1.0.2)
homebrew (= 1.11.2)
hub (= 1.4.0)
homebrew (= 1.12.0)
hub (= 1.4.1)
induction (= 1.0.0)
inifile (= 1.1.1)
iterm2 (= 1.0.4)
@@ -306,20 +306,21 @@ DEPENDENCIES
module_data (= 0.0.3)
mou (= 1.1)
mysql (= 1.2.0)
nginx (= 1.4.4)
nodejs (= 4.0.0)
nginx (= 1.4.5)
nodejs (= 4.0.1)
onepassword (= 1.1.0)
openssl (= 1.0.0)
osx (= 2.5.0)
pcre (= 1.0.0)
phantomjs (= 2.3.0)
phantomjs (= 2.4.0)
php (= 1.2.7)
phpstorm (= 1.0.6)
repository (= 2.4.1)
pkgconfig (= 1.0.0)
pkgconfig (= 1.0.0)
python (= 2.0.1)
repository (= 2.3.0)
ruby (= 8.1.7)
ruby (= 8.5.2)
sequel_pro (= 1.0.1)
shortcat (= 1.0.6)
skype (= 1.0.8)
@@ -113,7 +113,7 @@ test:
``` ruby
# config/initializers/redis.rb
$redis = Redis.new(ENV['BOXEN_REDIS_URL'] || 'redis://localhost:6379/')
$redis = Redis.new(url: (ENV['BOXEN_REDIS_URL'] || 'redis://localhost:6379/'))
```

### Elasticsearch
@@ -11,7 +11,7 @@
"${boxen::config::home}/rbenv/shims",
"${boxen::config::home}/rbenv/bin",
"${boxen::config::home}/rbenv/plugins/ruby-build/bin",
"${boxen::config::home}/homebrew/bin",
"${boxen::config::homebrewdir}/bin",
'/usr/bin',
'/bin',
'/usr/sbin',
@@ -7,6 +7,8 @@ VERBOSE=1
for arg in "$@"; do
if [ "$arg" = "--quiet" ]; then
VERBOSE=0
elif [ "$arg" = "--without" ]; then
WITHOUT=1
fi
done

@@ -77,7 +79,7 @@ if [ "$1" = "--pristine" ]; then
shift
fi
if [ "$(checksum_bundle)" = "$(cat tmp/bundle_checksum.txt 2>/dev/null)" ]; then
if [ -z "$WITHOUT" ] && [ "$(checksum_bundle)" = "$(cat tmp/bundle_checksum.txt 2>/dev/null)" ]; then
log "====> Bundle already up-to-date!"
else
# handle this not being a git repo (e.g. a brand new install!)
@@ -12,6 +12,8 @@ require "pathname"

Encoding.default_external = Encoding::UTF_8 if RUBY_VERSION > "1.9"

credential = `/usr/bin/which git-credential-osxkeychain`.chomp

# Put us where we belong, in the root dir of our boxen repo.

Dir.chdir Pathname.new(__FILE__).realpath + "../.."
@@ -40,7 +42,7 @@ else
require "open4"

fallback = ENV["BOXEN_GIT_CREDENTIAL_FALLBACK"]
fallback ||= "#{config.homedir}/homebrew/bin/git-credential-osxkeychain"
fallback ||= credential

status = Open4.popen4 fallback, *ARGV do |pid, stdin, stdout, stderr|
stdin.write input

0 comments on commit 8f039a6

Please sign in to comment.
You can’t perform that action at this time.